aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarian Buschsieweke <marian.buschsieweke@ovgu.de>2020-03-12 14:08:10 +0100
committerLeo <thinkabit.ukim@gmail.com>2020-03-12 14:29:02 -0300
commit35b1d20af90f97283d7ca5f70600509bc237034f (patch)
treed245fd5fd101c97ac4000a2594fa7631c2f22853
parent3fc3a9ce6cc4fc4e1cfd96040ee5367341c24b2f (diff)
downloadaports-35b1d20af90f97283d7ca5f70600509bc237034f.tar.gz
aports-35b1d20af90f97283d7ca5f70600509bc237034f.tar.bz2
aports-35b1d20af90f97283d7ca5f70600509bc237034f.tar.xz
testing/avarice: Fix build dependencies
- automake and autoconf are no longer needed in the sources fetched from debian - hidapi was missing (needed for Atmel ICE support) - added missing dependency perl
-rw-r--r--testing/avarice/APKBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/testing/avarice/APKBUILD b/testing/avarice/APKBUILD
index 9095163074..79bd4fc399 100644
--- a/testing/avarice/APKBUILD
+++ b/testing/avarice/APKBUILD
@@ -6,12 +6,12 @@ _svndate=20160229
# The latest AVaRICE release doesn't comply on all but history environments.
# Sadly, new release are no longer created.
pkgver=${_releasever}_svn$_svnver
-pkgrel=1
+pkgrel=2
pkgdesc="AVaRICE interfaces with GDB and allows debugging of AVR MCUs"
url="http://avarice.sourceforge.net/"
arch="all"
license="GPL-2.0-only"
-makedepends="binutils-dev libusb-dev libusb-compat-dev autoconf automake"
+makedepends="binutils-dev libusb-dev libusb-compat-dev hidapi-dev perl"
depends="gdb-multiarch"
subpackages="$pkgname-doc"
source="http://deb.debian.org/debian/pool/main/a/avarice/avarice_$_releasever+svn$_svnver.orig.tar.xz"